#include "StdAfx.h"

#include "direct.h"
#include "data.h"

static char CurrentDirectory[128];

void MakeDirectory( char *pn )
{
	_mkdir( pn );
}

void ChangeDirectory( char *pn )
{
	_chdir( pn );
}

void PickupDirectory(char *dir, char *fname)
{
  strcpy(CurrentDirectory, fname);
  unsigned int n=strlen(CurrentDirectory);
  for(int i=n-1;i>=0;i--){
#ifdef _WINDOWS
    if ( CurrentDirectory[i] == '\\' || CurrentDirectory[i] == '/' ){    
#else
    if ( CurrentDirectory[i] == '/' ){
#endif
      CurrentDirectory[i+1] = '\0';
      strcpy(dir, CurrentDirectory);
      return;
    }
  }
}

void PickupFileName(char *filename, char *fname)
{
  strcpy(CurrentDirectory, fname);
  unsigned int n=strlen(CurrentDirectory);
  CurrentDirectory[n] = '\0';
  for(int i=n-1;i>=0;i--){
#ifdef _WINDOWS
    if ( CurrentDirectory[i] == '\\' || CurrentDirectory[i] == '/' ){
#else
    if ( CurrentDirectory[i] == '/' ){
#endif
      strcpy(filename, CurrentDirectory + i + 1);
      return;
    }
  }
  strcpy(filename, CurrentDirectory);
}

void PickupFileNameWithoutExtension(char *filename, char *fname)
{
  PickupFileName(CurrentDirectory, fname);
  unsigned int i, n = strlen(CurrentDirectory);
  int j;
  j = -1;
  for(i=0; i<n; i++){
    if ( CurrentDirectory[i] == '.' ) j = i;
  }
  if ( j != -1 ){
    CurrentDirectory[j] = '\0';
    strcpy(filename, CurrentDirectory);
  } else strcpy(filename, "");
}

void PickupFileExtension(char *filename, char *fname)
{
  PickupFileName(CurrentDirectory, fname);
  unsigned int i, n= strlen(CurrentDirectory);
  int j;
  j = -1;
  for(i=0; i<n; i++){
    if ( CurrentDirectory[i] == '.' ) j = i;
  }
  if ( j != -1 ) strcpy(filename, CurrentDirectory + j + 1);
  else strcpy(filename, "");
}

void ConstructNameOfFile(char *fname, char *dir, char *name, unsigned int n, char *ext)
{
  sprintf(fname,"%s%s%d.%s", dir, name, n, ext);
}
